> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acturehub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 结果文件

> 从任务详情定位并下载 JSON、PDF 和 DOCX 产物。

任务成功后，`GET /api/open/runs/{run_id}` 的 `data.output_files` 返回产物记录。正文不会直接嵌入任务详情。

## 诊断 JSON

优先根据 `file_metadata.report_role` 区分 JSON：

| report\_role            | schema\_version            | 用途              |
| ----------------------- | -------------------------- | --------------- |
| `preliminary_diagnosis` | `preliminary-diagnosis.v1` | 初步诊断与 Top3 问题   |
| `full_diagnosis`        | `full-diagnosis.v1`        | 完整 13 章、38 子项诊断 |

不要只依赖文件名判断协议类型。

## 下载

```bash theme={null}
curl -sS \
  -H "Authorization: Bearer ${BP_AGENT_API_TOKEN}" \
  "${BP_AGENT_BASE_URL}/api/open/files/content?file_id=${OUTPUT_FILE_ID}" \
  -o result.bin
```

生产环境在云存储相关配置启用时，可以尝试增加 `direct=true`，取得预签名或公网 URL。测试环境建议直接通过 API 下载。

<Note>
  预签名地址具有有效期。调用方应保存业务结果或文件内容，不要把临时下载 URL 当作永久地址。
</Note>
